<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Ejercicio 3</title>
  </head>
  <body>
    <header><h1>Formulario</h1></header>

    <main>
      <form action="#">
        <fieldset>
          <legend><b>Personal</b></legend>

          <label for="name">Nombre:</label>
          <input id="name" type="text" required autofocus />

          <label for="email">Correo electrónico:</label>
          <input id="email" type="email" required />

          <label for="link">URL:</label>
          <input
            id="link"
            type="url"
            placeholder="Escribe la URL de tu página web personal"
          />

          <label for="tel">Teléfono:</label>
          <input id="tel" type="tel" readonly value="+34 612 345 678" />

          <label for="search">Búsqueda:</label>
          <input
            id="search"
            type="search"
            disabled
            placeholder="No disponible"
          />

          <label for="color">Tu color favorito:</label>
          <input id="color" type="color" />
        </fieldset>

        <fieldset>
          <legend><b>Tiempo</b></legend>

          <label for="date">Fecha:</label>
          <input id="date" type="date" />

          <label for="time">Tiempo:</label>
          <input id="time" type="time" />

          <label for="hyd">Fecha y hora:</label>
          <input id="hyd" type="datetime-local" />

          <label for="month">Mes:</label>
          <input id="month" type="month" />

          <label for="week">Semana:</label>
          <input id="week" type="week" />

          <label for="number">Número:</label>
          <input id="number" type="number" min="-10" max="10" />
        </fieldset>

        <button>Enviar</button>
      </form>
    </main>
  </body>
</html>
